# eric5.Utilities.ClassBrowsers.__init__

Package implementing class browsers for various languages.

Currently it offers class browser support for the following programming languages.

- CORBA IDL
- Python
- Ruby

### Global Attributes

IDL_SOURCE
JS_SOURCE
PTL_SOURCE
PY_SOURCE
RB_SOURCE
SUPPORTED_TYPES
__extensions

### Classes

None

### Functions

find_module | Module function to extend the Python module finding mechanism.
readmodule | Read a source file and return a dictionary of classes, functions, modules, etc.

## find_module

find_module(name, path, isPyFile=False)

Module function to extend the Python module finding mechanism.

This function searches for files in the given path. If the filename doesn't have an extension or an extension of .py, the normal search implemented in the imp module is used. For all other supported files only path is searched.

name
  filename or modulename to search for (string)
path
  search path (list of strings)
isPyFile
  flag indicating a Python file (boolean)

Returns:
  tuple of the open file, pathname and description. Description is a tuple of file suffix, file mode and file type)

Raises ImportError:
  The file or module wasn't found.

Up

## readmodule

readmodule(module, path=[], isPyFile=False)

Read a source file and return a dictionary of classes, functions, modules, etc. .

The real work of parsing the source file is delegated to the individual file parsers.

module
  name of the source file (string)
path
  path the file should be searched in (list of strings)
isPyFile
  flag indicating a Python file (boolean)

Returns:
  the resulting dictionary

Up